org.apache.myfaces.trinidad.render

## Class ExtendedRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.apache.myfaces.trinidad.render.ExtendedRenderer

- All Implemented Interfaces:
    LifecycleRenderer

      public abstract class ExtendedRenderer
      extends javax.faces.render.Renderer
      implements LifecycleRenderer

  TraversingRenderer enhances the general component renderer contract, to control all child component hierarchy traversal and local client id generation.

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `decodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Decodes a component and its children.
    `boolean` | `getRendersChildren()` Indicates that this Renderer takes responsibility for encoding its child components.
    `boolean` | `updateChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Updates a component and its children.
    `boolean` | `validateChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Validates a component and its children.

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, decode, encodeBegin, encodeChildren, encodeEnd, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedRenderer

          public ExtendedRenderer()

  - ### Method Detail

    - #### getRendersChildren

          public final boolean getRendersChildren()

      Indicates that this Renderer takes responsibility for encoding its child components.
      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`
      Returns:
        true, always

    - #### decodeChildren

          public boolean decodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)

      Decodes a component and its children.
      Specified by:
        `decodeChildren` in interface `LifecycleRenderer`
      Parameters:
        `context` - the Faces context
        `component` - the component to render
      Returns:
        whether the lifecycle was processed; if returns false, the component should continue default processing of the Apply Request Values phase.

    - #### validateChildren

          public boolean validateChildren(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)

      Validates a component and its children.
      Specified by:
        `validateChildren` in interface `LifecycleRenderer`
      Parameters:
        `context` - the Faces context
        `component` - the component to render
      Returns:
        whether the lifecycle was processed; if returns false, the component should continue default processing of the Process Validation phase.

    - #### updateChildren

          public boolean updateChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)

      Updates a component and its children.
      Specified by:
        `updateChildren` in interface `LifecycleRenderer`
      Parameters:
        `context` - the Faces context
        `component` - the component to render
      Returns:
        whether the lifecycle was processed; if returns false, the component should continue default processing of the Update Model phase.

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.